Subject: [bess] Update to draft-drake-bess-datacenter-gateway-04.txt

From: "Adrian Farrel" <[email-masked]>
Date: Sat, 1 Jul 2017 21:46:36 +0100

Hi,

A relatively short and simple draft with just a few simple updates.

This document defines simple BGP-based mechanisms for gateways to segment
routing domains to discover each other and advertise the prefixes that they
provide access to. This enables load balancing and traffic engineering of
end-to-end paths across a backbone as described in more detail in
draft-farrel-spring-sr-domain-interconnect.

In this revision we have:
- generalised what was data centre interconnect mechanism
- fixed some typos
- marked the document as standards track since it requests a code point

Review is welcomed.

Adrian

> -----Original Message-----
> From: I-D-Announce [mailto:[email-masked]] On Behalf Of
> [email-masked]
> Sent: 01 July 2017 21:39
> To: [email-masked]
> Subject: I-D Action: draft-drake-bess-datacenter-gateway-04.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
directories.
> 
> 
>         Title           : Gateway Auto-Discovery and Route Advertisement for
Segment
> Routing Enabled Domain Interconnection
>         Authors         : John Drake
>                           Adrian Farrel
>                           Eric Rosen
>                           Keyur Patel
>                           Luay Jalil
> 	Filename        : draft-drake-bess-datacenter-gateway-04.txt
> 	Pages           : 9
> 	Date            : 2017-07-01
> 
> Abstract:
>    Data centers have become critical components of the infrastructure
>    used by network operators to provide services to their customers.
>    Data centers are attached to the Internet or a backbone network by
>    gateway routers.  One data center typically has more than one gateway
>    for commercial, load balancing, and resiliency reasons.
> 
>    Segment routing is a popular protocol mechanism for operating within
>    a data center, but also for steering traffic that flows between two
>    data center sites.  In order that one data center site may load
>    balance the traffic it sends to another data center site it needs to
>    know the complete set of gateway routers at the remote data center,
>    the points of connection from those gateways to the backbone network,
>    and the connectivity across the backbone network.
> 
>    Segment routing may also be operated in other domains, such as access
>    networks.  Those domains also need to be connected across backbone
>    networks through gateways.
> 
>    This document defines a mechanism using the BGP Tunnel Encapsulation
>    attribute to allow each gateway router to advertise the routes to the
>    prefixes in the segment routing domains to which it provides access,
>    and also to advertise on behalf of each other gateway to the same
>    segment routing domain.
> 
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-drake-bess-datacenter-gateway/
> 
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-drake-bess-datacenter-gateway-04
> https://datatracker.ietf.org/doc/html/draft-drake-bess-datacenter-gateway-04
> 
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-drake-bess-datacenter-gateway-04
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt